Name:           klavaro
Version:        2.00
Release:        1%{?dist}
Summary:        Typing tutor

License:        GPLv3+
URL:            http://klavaro.sourceforge.net/en/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  python2-devel
BuildRequires:  python-docutils
BuildRequires:  python-ctypes
BuildRequires:  gtkdatabox-devel
BuildRequires:  libcurl-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%description
Klavaro  is a touch typing tutor that is very flexible and supports 
customizable keyboard layouts. Users can edit and save new or unknown
keyboard layouts, as the basic course provided by the program was
designed to not depend on specific layouts.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
# Adding folder for .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
mv data/%{name}.desktop %{buildroot}%{_datadir}/applications/
desktop-file-install                                    \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
# Adding folder for scores saving
mkdir -p %{buildroot}%{_localstatedir}/games/%{name}
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%attr(0755, root, games) %{_localstatedir}/games/%{name}
%{_mandir}/man*/*.*
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png

%changelog
* Tue Nov 05 2013 Fabian Affolter <mail@fabian-affolter.ch> - 2.00-1
- Updated to new upstream release 2.00

* Wed Sep 04 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.9-1
- Patch removed
- Updated to new upstream release 1.9.9

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.7-2
- Rebuilt (gtkdatabox)

* Sun Feb 24 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.7-1
- Updated to new upstream release 1.9.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 16 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.6-1
- Updated to new upstream release 1.9.6

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.5-1
- Updated to new upstream release 1.9.5

* Tue Feb 28 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.4-2
- Linking patch added

* Sat Feb 11 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.4-1
- Updated to new upstream release 1.9.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.3-1
- Updated to new upstream release 1.9.3

* Sat Apr 02 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0

* Sun Mar 06 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.8.1-2
- Updated BR

* Sun Mar 06 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.8.1-1
- Updated to new upstream version 1.8.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov 14 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.7.3-1
- Updated to new upstream version 1.7.3

* Sun Aug 29 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.7.0-1
- Updated to new upstream version 1.7.0

* Fri Aug 20 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.0-1
- Updated to new upstream version 1.6.0

* Sat Mar 06 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.5.0-1
- Removed DSO linking fix
- Updated to new upstream version 1.5.0

* Thu Feb 11 2010 Mathieu Bridon <bochecha@fedoraproject.org> - 1.4.1-2
- Rebuild against new gtkdatabox version
- Fix DSO-linking failure

* Tue Jan 05 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.1-1
- Updated to new upstream version 1.4.1

* Fri Dec 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- BR libsexy-devel removed
- Updated to new upstream version 1.4.0

* Mon Nov 16 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.6-1
- Updated to new upstream version 1.3.6

* Sun Oct 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.4-1
- Updated to new upstream version 1.3.4

* Mon Oct 05 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.3-1
- Updated to new upstream version 1.3.3

* Sun Aug 23 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2.4-1
- Update to 1.2.4

* Sun Aug 23 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 1.2.3-1
- Update to 1.2.3

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.1-3
- Fixed license tag

* Mon Jul 13 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.1-2
- https://sourceforge.net/tracker/?func=detail&aid=2819484&group_id=135657&atid=733522
- Removed the changing of the permission of /usr/bin/klavaro_helper

* Fri Jul 10 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.1-1
- Updated BR
- .desktop file and icon are now in the source
- Updated to new upstream version 1.2.1

* Sat Apr 11 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.9-1
- Initial package for Fedora
